#!/bin/bash
#
# Copyright (C) 2004-2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le5-conf
#
# le5-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

SCRIPTSDIR=/usr/local/bin/le5-conf-scripts

detectHardware() {
    MOBONAME="$(dmidecode | grep -A12 "^Base" |
        grep "Product Name: " | cut -d':' -f2 | sed -e 's/^ //g')"

    HARDWARE=''

    case "${MOBONAME}" in
        'POS-MIG31AG')
            if lspci | egrep -q \
                  'Display controller:.+TN-502|Display controller:.+SM501'; then
                HARDWARE='832008'
            fi
        ;;
        'G41M4     (MS-7592)')
            if lspci | egrep -q \
                  'VGA compatible controller: Intel Corporation 4 Series
                   Chipset Integrated Graphics Controller (rev 03)'; then
                HARDWARE='712010'
            fi
        ;;
        *)
            HARDWARE='home'
        ;;
    esac

}

detectHardware
for FILE in $(ls ${SCRIPTSDIR}/${HARDWARE}); do
    if [ -x "${SCRIPTSDIR}/${HARDWARE}/${FILE}" ]; then
        if ! "${SCRIPTSDIR}/${HARDWARE}/${FILE}"; then
            echo "Error: While running the ${SCRIPTSDIR}/${HARDWARE}/${FILE}"
            return 1
        fi
    fi
done
